@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:wght@400;500;700&family=PT+Sans:wght@400;700&family=Poppins:wght@300;400;700&display=swap');
:root {
    --clr-primary: #eb4800;
    --clr-primary-hover: #802701;
    --bg-100: #242424;
    --bg-900: #000000;
    --clr-100: #000000;
    --white: #fff;
    --ff-heading: 'PT Sans', sans-serif;
    /* --ff-body: 'Actor', sans-serif; */
    --ff-body: sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}


*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

html {
    box-sizing: border-box;
    font-size: 100%;
}

body {
    background: white;
    font-family: var(--ff-body);
    font-weight: 400;
    line-height: 1.75;
    color: var(--clr-100);
    scroll-behavior: smooth;
}

h1, h2, h3, h4, h5{
    margin: 0;
    /* font-family: var(--ff-heading); */
    font-weight: 400;
    line-height: 1.3;
}

h1 {
    margin-top: 0;
    font-size: 3.052rem;
}

h2 {
    font-size: 2.441rem;
}

h3 {
    font-size: 1.953rem;
}

h4 {
    font-size: 1.563rem;
}

h5 {
    font-size: 1.25rem;
}


small,
.text_small {
    font-size: 0.8rem;
}



.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}


@media (max-width: 1199px) {
    .container {
        padding: 0 20px;
    }
}





/* GENERAL STYLING */


header{
    width: 100%;
    height: 80px;
    background-color: var(--bg-100);
    background-color: #242424;
    display: flex;
    align-items: center;
}
.navbar {
    width: 100%;
    padding: 20px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.logo a {
    text-decoration: none;
}
.logo a h3{
    color: var(--white);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 3px;
}
.logo h3 span {
    color: var(--clr-primary);
}
.navbar ul {
    list-style: none;
    display: flex;
    gap: 10px 20px;
    align-items: center;
}

.navbar ul a{
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
}


.hambuger {
    display: none;
    background-color: var(--white);
    width: 30px;
    height: 30px;
    border-radius: 3px;
    cursor: pointer;
}
.nav-for-smaller-screens{
    transition: all 1s;
    position: fixed;
    top: 0;
    display: none;
    background-color: var(--white);
    z-index: 1000000;
    max-width: 250px;
    width: 70%;
    height: 100vh;
    color: var(--clr-100);
    /* transform: translate(-300px, 0);
    transition: transform 0.3s ease; */
}
/* .nav-for-smaller-screens.open{
    transform: translate(0, 0);
} */
.nav-for-smaller-screens ul a{
    /* border: 2px solid black; */
    padding: 30px;
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
    color: var(--clr-100);
    display: block;
    text-transform: uppercase;
    transition: all 0.3s ease;
}

.nav-for-smaller-screens ul a:hover{
    color: var(--white);
    text-decoration: underline;
    background-color: var(--clr-primary);
}

.nav-icons{
    overflow: hidden;
}
.fa-bars{
    padding: 7px 10px;
}


.landing-page-content{
    position: relative;
    height: calc(100vh - 80px);
    min-height: calc(450px - 80px);
    width: 100%;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/Img/bgimage.jpg);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
}

.landing-page-content h1 {
    color: var(--clr-primary);
    text-transform: uppercase;
    font-weight: 300;
    font-size: 2rem;
}

.estate-content{
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* max-width: 400px; */
    text-align: center;
    /* padding-top: 60px; */
    margin: 0 auto;
}

.landing-page-content h3 {
    color: var(--white);
    font-weight: 500;
    font-size: 4rem;
    text-transform: capitalize;
}

.landing-page-content p {
    color: var(--white);
    font-weight: 400;
    font-size: 1.1rem;
    text-transform: capitalize;
}

.landing-page-content .btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 2rem;
}

.landing-page-content .btn a {
    background: var(--clr-primary);
    text-decoration: none;
    text-transform: capitalize;
    color: #bcc3c7;
    font-size: 1rem;
    padding: 10px 30px;
    border-radius: 3px;
    letter-spacing: 2px;
    transition: all 0.3 ease;
}

.landing-page-content .btn a:hover {
    background: var(--clr-primary-hover);
    color: #fff;
}



.product-container{
    width: 100%;
    margin-top: 80px;
    margin-bottom: 60px;
}

.products-heading {
    width: 100%;
}

.products-heading-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.new-font{
    font-family: sans-serif;
}

.products-heading::after {
    content: '';
    display: block;
    height: 1px;
    width: 100%;
    background-color: #ccc;
    margin: 10px 0 60px 0;
}

.products-heading a {
    font-size: 0.8rem;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: var(--clr-primary);
}

.products{
    /* border: 2px solid black; */
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
}

.all{
    /* max-width: 378px; */
    border: 1px solid #ccc;
    border-radius: 3px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    transition: all 0.3s ease;
}

.all:hover {
    transform: scale(1.1);
}

.product-image {
    width: 100%;
    position: relative;
}

.all img {
    width: 100%;
    height: auto;
    overflow: hidden;
    opacity: 1;
    display: block;
    height: auto;
    transition: 0.5s ease;
    backface-visibility: hidden;
}

.top-text {
    transition: 0.5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    /* right: 50%; */
    /* bottom: 50%; */
    transform: translate(-50%, -50%);
    /* -ms-transform: translate(-50%, -50%); */
    display: flex;
    gap: 0 3px;
}

.all a:hover .product-image {
    opacity: 0.3;
}

.all a:hover .top-text{
    opacity: 0.7;
}

@media (max-width: 850px) {
    .products {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 650px) {
    .products {
        grid-template-columns: 1fr;
    }
}


.all .top-text p{
    background-color: var(--clr-primary-hover);
    color: white;
    font-size: 16px;
    padding: 5px 10px;
    text-transform: capitalize;
}

.all .price-container {
    padding: 20px 15px;
    display: flex;
    justify-content: space-between;
}

.price-container h5 {
    color: #777;
}

.product-content p{
    padding: 0px 15px;
}

.icon-review{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 15px;
    padding-bottom: 15px;
}
.icon-review ul{
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--clr-primary);
}

.icon-review span{
    color: var(--clr-primary);
}

.veiw-detail{
    padding: 0 0 10px 10px;
}

.veiw-detail a{
    text-decoration: none;
    color: var(--clr-primary);
    font-size: 1.1rem;
    /* font-weight: bold; */
}
.veiw-detail a span {
    font-size: 1.3rem;
}


footer {
    width: 100%;
    background-color: var(--bg-100);
}

footer .first-content{
    width: 100%;
    display: flex;
    height: 200px;
    font-size: 3rem;
    color: var(--clr-100);
    align-items: center;
    justify-content: center;
}
footer .first-content a span{
    color: var(--clr-primary-hover);
}
footer .first-content a{
    color: beige;
    text-decoration: none;
    transition: all .5s;
}
footer .first-content a:hover,
footer .first-content a:focus-visible{
    color: var(--clr-primary-hover);
}
footer .last-content{
    /* width: 100%; */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background-color: var(--bg-900);
    color: var(--white);
    
}






/* MEDIA QUERY */


@media screen and (max-width:960px){
    .logo a h3{
        font-weight: 400;
        letter-spacing: 2px;
        font-size: 1.6rem;
    }
    .container {
        width: 100%;
        padding-left: 20px;
        padding-right: 20px;
        margin: 0 auto;
    }
    header h3{
        font-size: 25.6px;
    }
    header .navigations{
        display: none;
    }
    .hambuger{
        padding: 0 2px;
        display: block;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media screen and (max-width:852px){
    .estate-content{
        max-width: 462px;
    }
}


@media screen and (max-width:650px){
   .estate-content h1{
    font-size: 32px;
   }
   .estate-content h3{
    font-size: 32px;
   }
   .estate-content p{
    font-size: 17.6px;
   }
}

@media screen and (max-width:487px){
    .estate-content{
        max-width: 243.5px;
    }
}


@media screen and (max-width:406px){
    .estate-content{
        max-width: 203px;
    }
}


@media screen and (max-width:400px){
    .logo a h3{
        font-size: 16px;
    }
    .estate-content{
        max-width: 182.75px;
    }
    .estate-content h1{
        font-size: 20.8px;
    }
    .estate-content h3{
        font-size: 24px;
    }
    .estate-content p{
        font-size: 17.6px;
    }

    footer .first-content{
        font-size: 2rem;
    }
}

@media screen and (max-width:365px){
    .estate-content{
        max-width: 182.5px;
    }
    .estate-content h1{
        font-size: 20.8px;
    }
    .estate-content h3{
        font-size: 24px;
    }
    .estate-content p{
        font-size: 17.6px;
    }
}
@media screen and (max-width:320px){
    header h3{
        font-size: 20px;
    }
}

